DeluxHostAPI Reference
Storage users

List storage users

GET
/v1/services/{orderId}/storage/subusers

Authorization

apiToken storage:subusers:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:subusers:read

Path Parameters

orderId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
supported*boolean
createAllowed?boolean
limit*number
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/services/0/storage/subusers' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "supported": true,  "createAllowed": true,  "limit": 0,  "items": [    {      "username": "string",      "label": "string",      "path": "string",      "readOnly": true,      "enabled": true    }  ]}